diff -up glibc-2.5-20061008T1257/include/arpa/nameser.h.matahari glibc-2.5-20061008T1257/include/arpa/nameser.h
--- glibc-2.5-20061008T1257/include/arpa/nameser.h.matahari	2011-07-21 10:53:49.000000000 -0400
+++ glibc-2.5-20061008T1257/include/arpa/nameser.h	2011-07-21 10:55:12.000000000 -0400
@@ -44,3 +44,25 @@ extern struct _ns_flagdata _ns_flagdata[
   } while (0)
 
 #endif
+
+libresolv_hidden_proto (ns_get16)
+libresolv_hidden_proto (ns_get32)
+libresolv_hidden_proto (ns_put16)
+libresolv_hidden_proto (ns_put32)
+libresolv_hidden_proto (ns_initparse)
+libresolv_hidden_proto (ns_skiprr)
+libresolv_hidden_proto (ns_parserr)
+libresolv_hidden_proto (ns_name_ntop)
+libresolv_hidden_proto (ns_name_pton)
+libresolv_hidden_proto (ns_name_pack)
+libresolv_hidden_proto (ns_name_skip)
+libresolv_hidden_proto (ns_name_unpack)
+libresolv_hidden_proto (ns_name_compress)
+libresolv_hidden_proto (ns_name_uncompress)
+libresolv_hidden_proto (ns_sprintrr)
+libresolv_hidden_proto (ns_sprintrrf)
+libresolv_hidden_proto (ns_samedomain)
+libresolv_hidden_proto (ns_samename)
+libresolv_hidden_proto (ns_makecanon)
+libresolv_hidden_proto (ns_format_ttl)
+
diff -up glibc-2.5-20061008T1257/include/resolv.h.matahari glibc-2.5-20061008T1257/include/resolv.h
--- glibc-2.5-20061008T1257/include/resolv.h.matahari	2011-07-21 10:55:44.000000000 -0400
+++ glibc-2.5-20061008T1257/include/resolv.h	2011-07-21 10:59:23.000000000 -0400
@@ -96,10 +96,8 @@ libresolv_hidden_proto (__res_nameinquer
 libresolv_hidden_proto (__res_queriesmatch)
 libresolv_hidden_proto (__res_nsend)
 libresolv_hidden_proto (__b64_ntop)
-libresolv_hidden_proto (__ns_name_ntop)
-libresolv_hidden_proto (__ns_name_unpack)
-libresolv_hidden_proto (__ns_get16)
-libresolv_hidden_proto (__ns_get32)
+libresolv_hidden_proto (__dn_count_labels)
+libresolv_hidden_proto (__p_secstodate)
 
 extern const char *_res_opcodes[];
 libresolv_hidden_proto (_res_opcodes)
diff -up glibc-2.5-20061008T1257/resolv/arpa/nameser.h.matahari glibc-2.5-20061008T1257/resolv/arpa/nameser.h
--- glibc-2.5-20061008T1257/resolv/arpa/nameser.h.matahari	2011-07-21 11:00:22.000000000 -0400
+++ glibc-2.5-20061008T1257/resolv/arpa/nameser.h	2011-07-21 11:03:25.000000000 -0400
@@ -462,42 +462,6 @@ typedef enum __ns_cert_types {
 	(cp) += NS_INT32SZ; \
 } while (0)
 
-/*
- * ANSI C identifier hiding for bind's lib/nameser.
- */
-#define ns_get16		__ns_get16
-#define ns_get32		__ns_get32
-#define ns_put16		__ns_put16
-#define ns_put32		__ns_put32
-#define ns_initparse		__ns_initparse
-#define ns_skiprr		__ns_skiprr
-#define ns_parserr		__ns_parserr
-#define	ns_sprintrr		__ns_sprintrr
-#define	ns_sprintrrf		__ns_sprintrrf
-#define	ns_format_ttl		__ns_format_ttl
-#define	ns_parse_ttl		__ns_parse_ttl
-#define ns_datetosecs		__ns_datetosecs
-#define	ns_name_ntol		__ns_name_ntol
-#define	ns_name_ntop		__ns_name_ntop
-#define	ns_name_pton		__ns_name_pton
-#define	ns_name_unpack		__ns_name_unpack
-#define	ns_name_pack		__ns_name_pack
-#define	ns_name_compress	__ns_name_compress
-#define	ns_name_uncompress	__ns_name_uncompress
-#define	ns_name_skip		__ns_name_skip
-#define	ns_name_rollback	__ns_name_rollback
-#define	ns_sign			__ns_sign
-#define	ns_sign_tcp		__ns_sign_tcp
-#define	ns_sign_tcp_init	__ns_sign_tcp_init
-#define ns_find_tsig		__ns_find_tsig
-#define	ns_verify		__ns_verify
-#define	ns_verify_tcp		__ns_verify_tcp
-#define	ns_verify_tcp_init	__ns_verify_tcp_init
-#define	ns_samedomain		__ns_samedomain
-#define	ns_subdomain		__ns_subdomain
-#define	ns_makecanon		__ns_makecanon
-#define	ns_samename		__ns_samename
-
 __BEGIN_DECLS
 u_int		ns_get16 (const u_char *) __THROW;
 u_long		ns_get32 (const u_char *) __THROW;
diff -up glibc-2.5-20061008T1257/resolv/ns_name.c.matahari glibc-2.5-20061008T1257/resolv/ns_name.c
--- glibc-2.5-20061008T1257/resolv/ns_name.c.matahari	2011-07-21 11:03:59.000000000 -0400
+++ glibc-2.5-20061008T1257/resolv/ns_name.c	2011-07-21 11:09:48.000000000 -0400
@@ -146,6 +146,7 @@ ns_name_ntop(const u_char *src, char *ds
 	return (dn - dst);
 }
 libresolv_hidden_def (ns_name_ntop)
+strong_alias (ns_name_ntop, __ns_name_ntop)
 
 /*
  * ns_name_pton(src, dst, dstsiz)
@@ -292,6 +293,7 @@ ns_name_pton(const char *src, u_char *ds
 	}
 	return (0);
 }
+libresolv_hidden_def (ns_name_pton)
 
 /*
  * ns_name_ntol(src, dst, dstsiz)
@@ -423,6 +425,7 @@ ns_name_unpack(const u_char *msg, const 
 	return (len);
 }
 libresolv_hidden_def (ns_name_unpack)
+strong_alias (ns_name_unpack, __ns_name_unpack)
 
 /*
  * ns_name_pack(src, dst, dstsiz, dnptrs, lastdnptr)
@@ -532,6 +535,7 @@ cleanup:
 	}
 	return (dstp - dst);
 }
+libresolv_hidden_def (ns_name_pack)
 
 /*
  * ns_name_uncompress(msg, eom, src, dst, dstsiz)
@@ -554,6 +558,7 @@ ns_name_uncompress(const u_char *msg, co
 		return (-1);
 	return (n);
 }
+libresolv_hidden_def (ns_name_uncompress)
 
 /*
  * ns_name_compress(src, dst, dstsiz, dnptrs, lastdnptr)
@@ -579,6 +584,7 @@ ns_name_compress(const char *src, u_char
 		return (-1);
 	return (ns_name_pack(tmp, dst, dstsiz, dnptrs, lastdnptr));
 }
+libresolv_hidden_def (ns_name_compress)
 
 /*
  * Reset dnptrs so that there are no active references to pointers at or
@@ -631,6 +637,7 @@ ns_name_skip(const u_char **ptrptr, cons
 	*ptrptr = cp;
 	return (0);
 }
+libresolv_hidden_def (ns_name_skip)
 
 /* Private. */
 
diff -up glibc-2.5-20061008T1257/resolv/ns_netint.c.matahari glibc-2.5-20061008T1257/resolv/ns_netint.c
--- glibc-2.5-20061008T1257/resolv/ns_netint.c.matahari	2011-07-21 11:10:07.000000000 -0400
+++ glibc-2.5-20061008T1257/resolv/ns_netint.c	2011-07-21 11:11:54.000000000 -0400
@@ -34,6 +34,7 @@ ns_get16(const u_char *src) {
 	return (dst);
 }
 libresolv_hidden_def (ns_get16)
+strong_alias (ns_get16, __ns_get16)
 
 u_long
 ns_get32(const u_char *src) {
@@ -43,13 +44,17 @@ ns_get32(const u_char *src) {
 	return (dst);
 }
 libresolv_hidden_def (ns_get32)
+strong_alias (ns_get32, __ns_get32)
 
 void
 ns_put16(u_int src, u_char *dst) {
 	NS_PUT16(src, dst);
 }
+libresolv_hidden_def (ns_put16)
 
 void
 ns_put32(u_long src, u_char *dst) {
 	NS_PUT32(src, dst);
 }
+libresolv_hidden_def (ns_put32)
+
diff -up glibc-2.5-20061008T1257/resolv/ns_parse.c.matahari glibc-2.5-20061008T1257/resolv/ns_parse.c
--- glibc-2.5-20061008T1257/resolv/ns_parse.c.matahari	2011-07-21 11:12:17.000000000 -0400
+++ glibc-2.5-20061008T1257/resolv/ns_parse.c	2011-07-21 11:25:20.000000000 -0400
@@ -83,6 +83,7 @@ ns_skiprr(const u_char *ptr, const u_cha
 		RETERR(EMSGSIZE);
 	return (ptr - optr);
 }
+libresolv_hidden_def (ns_skiprr)
 
 int
 ns_initparse(const u_char *msg, int msglen, ns_msg *handle) {
@@ -120,6 +121,7 @@ ns_initparse(const u_char *msg, int msgl
 	setsection(handle, ns_s_max);
 	return (0);
 }
+libresolv_hidden_def (ns_initparse)
 
 int
 ns_parserr(ns_msg *handle, ns_sect section, int rrnum, ns_rr *rr) {
@@ -178,6 +180,7 @@ ns_parserr(ns_msg *handle, ns_sect secti
 	/* All done. */
 	return (0);
 }
+libresolv_hidden_def (ns_parserr)
 
 /* Private. */
 
diff -up glibc-2.5-20061008T1257/resolv/ns_print.c.matahari glibc-2.5-20061008T1257/resolv/ns_print.c
--- glibc-2.5-20061008T1257/resolv/ns_print.c.matahari	2011-07-21 11:25:34.000000000 -0400
+++ glibc-2.5-20061008T1257/resolv/ns_print.c	2011-07-21 11:31:20.000000000 -0400
@@ -90,6 +90,7 @@ ns_sprintrr(const ns_msg *handle, const 
 			 name_ctx, origin, buf, buflen);
 	return (n);
 }
+libresolv_hidden_def (ns_sprintrr)
 
 /*
  * int
@@ -662,6 +663,7 @@ ns_sprintrrf(const u_char *msg, size_t m
 	return (buf - obuf);
     }
 }
+libresolv_hidden_def (ns_sprintrrf)
 
 /* Private. */
 
diff -up glibc-2.5-20061008T1257/resolv/ns_samedomain.c.matahari glibc-2.5-20061008T1257/resolv/ns_samedomain.c
--- glibc-2.5-20061008T1257/resolv/ns_samedomain.c.matahari	2011-07-21 11:33:44.000000000 -0400
+++ glibc-2.5-20061008T1257/resolv/ns_samedomain.c	2011-07-21 11:35:48.000000000 -0400
@@ -135,6 +135,7 @@ ns_samedomain(const char *a, const char 
 	cp = a + diff;
 	return (strncasecmp(cp, b, lb) == 0);
 }
+libresolv_hidden_def (ns_samedomain)
 
 /*
  * int
@@ -177,6 +178,7 @@ ns_makecanon(const char *src, char *dst,
 	dst[n] = '\0';
 	return (0);
 }
+libresolv_hidden_def (ns_makecanon)
 
 /*
  * int
@@ -200,3 +202,5 @@ ns_samename(const char *a, const char *b
 	else
 		return (0);
 }
+libresolv_hidden_def (ns_samename)
+
diff -up glibc-2.5-20061008T1257/resolv/ns_ttl.c.matahari glibc-2.5-20061008T1257/resolv/ns_ttl.c
--- glibc-2.5-20061008T1257/resolv/ns_ttl.c.matahari	2011-07-21 11:37:12.000000000 -0400
+++ glibc-2.5-20061008T1257/resolv/ns_ttl.c	2011-07-21 11:37:59.000000000 -0400
@@ -88,6 +88,7 @@ ns_format_ttl(u_long src, char *dst, siz
 
 	return (dst - odst);
 }
+libresolv_hidden_def (ns_format_ttl)
 
 #ifndef SHARED
 // Seems not to be needed.  It's not exported from the DSO.  Some libresolv.a
diff -up glibc-2.5-20061008T1257/resolv/res_debug.c.matahari glibc-2.5-20061008T1257/resolv/res_debug.c
--- glibc-2.5-20061008T1257/resolv/res_debug.c.matahari	2011-07-21 11:38:14.000000000 -0400
+++ glibc-2.5-20061008T1257/resolv/res_debug.c	2011-07-21 11:39:13.000000000 -0400
@@ -1024,6 +1024,7 @@ dn_count_labels(const char *name) {
 		count++;
 	return (count);
 }
+libresolv_hidden_def (__dn_count_labels)
 
 
 /*
@@ -1051,3 +1052,5 @@ p_secstodate (u_long secs) {
 		time->tm_hour, time->tm_min, time->tm_sec);
 	return (output);
 }
+libresolv_hidden_def (__p_secstodate)
+
